Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::SensorHub::DeviceInfo Struct Reference

Static (type, version) information for a SensorHub. More...

## Public Attributes
string | serial
| Serial number of device.
string | model
| Model name of device.
UpstreamType | upstreamType
| Hardware type (indicated a certain upstream type)
PosElement | position
| Peripheral device position element, list forms position.
int | protocolVersion
| Protocol version the hub is supporting.
int | bootVersion
| Bootcode software version.
int | appVersion
| Application code software version.
vector< HubPortInfo > | hubPortInfos
| Information about contained hub ports.

## Detailed Description

Static (type, version) information for a SensorHub.

The documentation for this struct was generated from the following file:

- SensorHub.idl